Bug 240222 - Kinstong Data Traveler 2.0 can be mounted only as RO (read only)
Kinstong Data Traveler 2.0 can be mounted only as RO (read only)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 16:03 EDT by Juan
Modified: 2013-03-05 22:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 16:44:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan 2007-05-15 16:03:48 EDT
Description of problem:

When I connect my new Kingston Data Traveler 2.0 USB Flash to the computer is
ever mounted as read-only.

Also, when I access the flash with Konkeror or by console I ever see 3 directory
entries and 4 archive entries with unreadable names. The flash is ok, because
I've copied archives to the flash in my work :(winXP) without problems and,
after, I was able to copy them to my fc6 hard drive.

The directory list is showing like this:

[root@AMD64x2 media]# ls -l
total 32
drwxr-xr-x 8 juan root 16384 ene  1  1970 KINGSTON
[root@AMD64x2 media]# ls -l KINGSTON/
total 8496768
?---------       ? ?    ?             ?            ? ¡3ⁿ┐éä_╪.┐─v
-r-xr-xr-x       1 juan root 4097703051 dic 16  1966 æ?╬#╒^╘t.ⁿ┘╪
?---------       ? ?    ?             ?            ? c|φ¼│sh?.φd█
dr-xr-xr-x 2802955 juan root  362086400 ago 20  1909 $┐êå┬?ï0.!``
-rwxr-xr-x       1 juan root   72283067 abr 17 16:31 Hirens.BootCD.8.9.zip
drwxr-xr-x 2177497 juan root  281280512 mar 14  1991 :ö┼º?p}█.úq(
-rwxr-xr-x       1 juan root  240525737 ene 18  2020 ò?ÿ;.ra1.╖╘`
-r-xr-xr-x       1 juan root  354276606 ene 14  1996 |$?«?$*r.²µz
-rwxr-xr-x       1 juan root    6041673 ene 12  2006 scrt504.exe
-rwxr-xr-x       1 juan root      72151 ene 13  2006 scrt504patch.zip
dr-xr-xr-x 3362915 juan root  434503680 ene 18  1964 ╦▓≤üy√à├.σƒ?
-r-xr-xr-x       1 juan root 2408218327 feb 19  1945 ┌█{Γm▄«φ.ö4z

Version-Release number of selected component (if applicable):


How reproducible:

I get the same result with my old FC5 installed onto a i686


Actual results:

Today is impossible to me to save or erase data in the USB Flash with both my
linux systems: FC5 i686 & FC6 x86_64

Expected results:

I expect to use the USB Flash normally: read & write.

Thanks in advance

Additional info:

Here it is the log info on how the system discovers and mounts the Flash Drive:

May 15 19:48:06 AMD64x2 kernel: usb 5-5: new high speed USB device using
ehci_hcd and address 3
May 15 19:48:06 AMD64x2 kernel: usb 5-5: configuration #1 chosen from 1 choice
May 15 19:48:06 AMD64x2 kernel: Initializing USB Mass Storage driver...
May 15 19:48:06 AMD64x2 kernel: scsi2 : SCSI emulation for USB Mass Storage devices
May 15 19:48:06 AMD64x2 kernel: usbcore: registered new interface driver usb-storage
May 15 19:48:06 AMD64x2 kernel: USB Mass Storage support registered.
May 15 19:48:11 AMD64x2 kernel: scsi 2:0:0:0: Direct-Access     Kingston
DataTraveler 2.0 1.00 PQ: 0 ANSI: 2
May 15 19:48:11 AMD64x2 kernel: SCSI device sdb: 3973120 512-byte hdwr sectors
(2034 MB)
May 15 19:48:11 AMD64x2 kernel: sdb: Write Protect is off
May 15 19:48:11 AMD64x2 kernel: sdb: assuming drive cache: write through
May 15 19:48:11 AMD64x2 kernel: SCSI device sdb: 3973120 512-byte hdwr sectors
(2034 MB)
May 15 19:48:11 AMD64x2 kernel: sdb: Write Protect is off
May 15 19:48:11 AMD64x2 kernel: sdb: assuming drive cache: write through
May 15 19:48:11 AMD64x2 kernel:  sdb: sdb1
May 15 19:48:11 AMD64x2 kernel: sd 2:0:0:0: Attached scsi removable disk sdb
May 15 19:48:11 AMD64x2 kernel: sd 2:0:0:0: Attached scsi generic sg1 type 0
May 15 19:49:03 AMD64x2 kernel: SELinux: initialized (dev sdb1, type vfat), uses
genfs_contexts
May 15 19:49:03 AMD64x2 hald: mounted /dev/sdb1 on behalf of uid 500
May 15 19:49:40 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 19:49:40 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 19:49:40 AMD64x2 kernel:     File system has been set read-only
May 15 19:49:40 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 19:49:40 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 19:51:22 AMD64x2 automount[2559]: create_udp_client: hostname lookup
failed: No such process
May 15 19:51:22 AMD64x2 automount[2559]: create_tcp_client: hostname lookup
failed: No such process
May 15 19:51:22 AMD64x2 automount[2559]: lookup_mount: exports lookup failed for
.directory
May 15 19:55:48 AMD64x2 hald: unmounted /dev/sdb1 from '/media/KINGSTON' on
behalf of uid 500
May 15 19:55:54 AMD64x2 kernel: usb 5-5: USB disconnect, address 3
May 15 20:17:10 AMD64x2 kernel: usb 5-5: new high speed USB device using
ehci_hcd and address 4
May 15 20:17:10 AMD64x2 kernel: usb 5-5: configuration #1 chosen from 1 choice
May 15 20:17:10 AMD64x2 kernel: scsi3 : SCSI emulation for USB Mass Storage devices
May 15 20:17:15 AMD64x2 kernel: scsi 3:0:0:0: Direct-Access     Kingston
DataTraveler 2.0 1.00 PQ: 0 ANSI: 2
May 15 20:17:15 AMD64x2 kernel: SCSI device sdb: 3973120 512-byte hdwr sectors
(2034 MB)
May 15 20:17:15 AMD64x2 kernel: sdb: Write Protect is off
May 15 20:17:15 AMD64x2 kernel: sdb: assuming drive cache: write through
May 15 20:17:15 AMD64x2 kernel: SCSI device sdb: 3973120 512-byte hdwr sectors
(2034 MB)
May 15 20:17:15 AMD64x2 kernel: sdb: Write Protect is off
May 15 20:17:15 AMD64x2 kernel: sdb: assuming drive cache: write through
May 15 20:17:15 AMD64x2 kernel:  sdb: sdb1
May 15 20:17:15 AMD64x2 kernel: sd 3:0:0:0: Attached scsi removable disk sdb
May 15 20:17:15 AMD64x2 kernel: sd 3:0:0:0: Attached scsi generic sg1 type 0
May 15 20:17:21 AMD64x2 automount[2559]: create_udp_client: hostname lookup
failed: No such process
May 15 20:17:21 AMD64x2 automount[2559]: create_tcp_client: hostname lookup
failed: No such process
May 15 20:17:21 AMD64x2 automount[2559]: lookup_mount: exports lookup failed for
.directory
May 15 20:17:21 AMD64x2 kernel: SELinux: initialized (dev sdb1, type vfat), uses
genfs_contexts
May 15 20:17:21 AMD64x2 hald: mounted /dev/sdb1 on behalf of uid 500
May 15 20:17:58 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 20:17:58 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 20:17:58 AMD64x2 kernel:     File system has been set read-only
May 15 20:17:58 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 20:17:58 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 20:21:18 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 20:21:18 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 20:21:18 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 20:21:18 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 20:23:02 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 20:23:02 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
May 15 20:23:02 AMD64x2 kernel: FAT: Filesystem panic (dev sdb1)
May 15 20:23:02 AMD64x2 kernel:     fat_get_cluster: invalid cluster chain (i_pos 0)
Comment 1 David Zeuthen 2007-05-23 16:44:45 EDT
Your file system is corrupted; nothing we can do about that (try either to fsck
it and/or reformat. Also useful to check the disk for physical errors.)

Note You need to log in before you can comment on or make changes to this bug.